Summary:	xmh application - send and read mail with an X interface to MH
Summary(pl.UTF-8):	Aplikacja xmh - czytanie i wysyłanie poczty poprzez interfejs X do MH
Name:		xorg-app-xmh
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xmh-%{version}.tar.xz
# Source0-md5:	9708ee1127647cde2ee82313c2a26d12
Patch0:		%{name}-man.patch
Patch1:		%{name}-format.patch
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-data-xbitmaps >= 1.1.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.3.0
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libXt >= 1.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xmh application provides a graphical user interface to the MH
Message Handling System. To actually do things with your mail, it
makes calls to the MH package.

%description -l pl.UTF-8
Aplikacja xmh udostępnia graficzny interfejs do systemu poczty
MH (Message Handling System). Właściwe operacje na poczcie są
wykonywane poprzez odwołania do pakietu MH.

%prep
%setup -q -n xmh-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xmh
%{_datadir}/X11/app-defaults/Xmh
%{_mandir}/man1/xmh.1*
%changelog
* Mon Mar 04 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xmh.git;a=log;h=master

* Mon Mar 04 2024 Jakub Bogusz <qboosh@pld-linux.org> 2f7ceb8
- updated to 1.0.5

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> a074748
- updated to 1.0.4
- updated format patch

* Tue Apr 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 3d49cfe
- updated to 1.0.3
- updated man patch
- added format patch (fixes build with -Werror=format-security)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 12578fb
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 72353ad
- brought from the dead by X.org; updated to 1.0.2
- removed obsolete xaw patch

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a2787f
- obsolete; use exmh

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> eb2ee81
- rel 5; fix xaw build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a0c3e7
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a44eb6
- release 3

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4037784
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8cedeca
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 05edf04
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> fa33166
- added man patch (updates examples in xmh(1x) man, following X11-fhs.patch)
- use individual dir, more verbose files, release 1

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 7588baf
- update paths in xmh(1x) man (following X11-fhs.patch)

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 2661e2e
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> d4dac77
- 1.0.1 (X11R7.0 release)

* Thu Dec 15 2005 Jakub Bogusz <qboosh@pld-linux.org> aab1d64
- 0.99.3 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 76a1712
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 3d1b213
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> c64edd6
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

